# DataExchange
TKSTEPBase
StepShape

# StepShape_GeometricSet Class Reference

`#include <StepShape_GeometricSet.hxx>`

Inheritance diagram for StepShape_GeometricSet:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_GeometricSet ()
| Returns a GeometricSet .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfGeometricSetSelect)&aElements)
Standard_EXPORT void | SetElements (const Handle(StepShape_HArray1OfGeometricSetSelect)&aElements)
Standard_EXPORT Handle_StepShape_HArray1OfGeometricSetSelect | Elements () const
Standard_EXPORT StepShape_GeometricSetSelect | ElementsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbElements () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_HArray1OfGeometricSetSelect | elements

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_GeometricSet::StepShape_GeometricSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_HArray1OfGeometricSetSelect StepShape_GeometricSet::Elements | ( |  | ) | const

Standard_EXPORT StepShape_GeometricSetSelect StepShape_GeometricSet::ElementsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepShape_GeometricSet::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem. Reimplemented in StepShape_GeometricCurveSet.

virtual Standard_EXPORT void StepShape_GeometricSet::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfGeometricSetSelect)& | aElements
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_GeometricSet::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Integer StepShape_GeometricSet::NbElements | ( |  | ) | const

Standard_EXPORT void StepShape_GeometricSet::SetElements | ( | const Handle(StepShape_HArray1OfGeometricSetSelect)& | aElements | ) |

## Field Documentation

Handle_StepShape_HArray1OfGeometricSetSelect StepShape_GeometricSet::elements `[private]`

The documentation for this class was generated from the following file:

- StepShape_GeometricSet.hxx